function [edge1, edge2] = RedistributePointsEdge(edge1,edge2)

%FIND CLOSEST POINTS
for i=1:length(edge2(:,1))
    initialDistance(i) = sqrt((edge1(1,1)-edge2(i,1))^2+(edge1(1,2)-edge2(i,2))^2+(edge1(1,3)-edge2(i,3))^2);
    finalDistance(i)   = sqrt((edge1(end,1)-edge2(i,1))^2+(edge1(end,2)-edge2(i,2))^2+(edge1(end,3)-edge2(i,3))^2);
end

%DETERMINE NEAREST POINT
for i=1:length(edge2(:,1))
    initialDistance(i) = sqrt((edge1(1,1)-edge2(i,1))^2+(edge1(1,2)-edge2(i,2))^2+(edge1(1,3)-edge2(i,3))^2);
    finalDistance(i)   = sqrt((edge1(end,1)-edge2(i,1))^2+(edge1(end,2)-edge2(i,2))^2+(edge1(end,3)-edge2(i,3))^2);
end

[dist, index(1)] = min(initialDistance);
[dist, index(2)] = min(finalDistance);

index     = sort(index);
if index(2)-index(1)>50
matchEdge = edge2(index(2):index(1),:);
edge2     = SmootherSegments(matchEdge,0.00000001); 
end

end