%INPUT IS PUZZLE IN A CELL ARRARY

function out=nontradsegment(x)

%ACQUIRING SIGNATURE CURVE DATA
for i=1:length(x)
    t               = [];
    t               = noise(x{i,1});
    result          = Smoother(t,.15);
    temp            = compsig(result')';
    wu              = rand;
    trans(1)=4*wu; trans(2,1)=4*wu; trans(3,1)=4*wu;
    for j=1:length(result(:,1))
       insy(j,:)    = (result(j,:)'+trans)'; 
    end
    %puzzle(i).piece = Smoother(insy,0.1);
    puzzle(i).piece = insy;
    puzzle(i).sig   = temp(:,1:3);
end

%SEGMENTING SIGNATURE CURVE
for h=1:length(x)
    cnt=0; 
    for i=3:length(puzzle(h).sig(:,1))
        if sign(puzzle(h).sig(i,1))==sign(puzzle(h).sig(i-1,1))
            cnt=cnt+1;
            if i==3
                num=1;
            end
            puzzle(h).edge{num,1}(cnt,:) = puzzle(h).piece(i,:);
            puzzle(h).edge{num,2}(cnt,:) = puzzle(h).sig(i,:);
        else
            num=num+1; cnt=1;
            puzzle(h).edge{num,1}(cnt,:) = puzzle(h).piece(i,:);
            puzzle(h).edge{num,2}(cnt,:) = puzzle(h).sig(i,:);            
        end
    end
end
%SIPHONING SEGMENTS
for h=1:length(x)
    %CALCULATING PERIMETER
    per=0;
    for n=2:length(puzzle(h).piece(:,1))
        per=per+sqrt((puzzle(h).piece(n,1)-puzzle(h).piece(n-1,1))^2 ...
            +(puzzle(h).piece(n,2)-puzzle(h).piece(n-1,2))^2+(puzzle(h).piece(n,3)-puzzle(h).piece(n-1,3))^2);
    end
    %DELETING SUPER SMALL SEGMENTS
    for i=1:length(puzzle(h).edge(:,1))
        if isempty(puzzle(h).edge{i,1})
            continue
        end
        if length(puzzle(h).edge{i,2})<5
            puzzle(h).edge{i,1}=[]; puzzle(h).edge{i,2}=[];
        end
    end
%     %DELETING SEGMENTS RELATIVE TO PERIMETER
%     for i=1:length(puzzle(h).edge(:,1))
%         if isempty(puzzle(h).edge{i,1})==1
%             continue
%         end
%         seg=0;
%         for j=2:length(puzzle(h).edge{i,1}(:,1))
%             seg=seg+sqrt((puzzle(h).edge{i,1}(j,1)-puzzle(h).edge{i,1}(j-1,1))^2 ...
%                 +(puzzle(h).edge{i,1}(j,2)-puzzle(h).edge{i,1}(j-1,2))^2 ...
%                 +(puzzle(h).edge{i,1}(j,3)-puzzle(h).edge{i,1}(j-1,3))^2);
%         end
%         if (seg/per)<0.02
%             puzzle(h).edge{i,1}=[]; puzzle(h).edge{i,2}=[];
%         end
%     end
end
%RESTRUCTURING SEGMENTS
for h=1:length(x)
    cnt=0; here=[];
    for i=1:length(puzzle(h).edge(:,1))
        if isempty(puzzle(h).edge{i,1})==0
            cnt         = cnt+1;
            here{cnt,1} = puzzle(h).edge{i,1};
            here{cnt,2} = puzzle(h).edge{i,2};
        end
    end
    puzzle(h).edge=[]; puzzle(h).edge=here;
end
out=puzzle;
end


%% PROBLEMS

% THEN DELETE THE FIRST SEGMENT, BASED ON WHERE THE WHILE LOOP STOPS
